//
// Created by #Suyghur, on 2021/06/11.
//

#ifndef EYUANGAMESDK_KTX_HEX_UTILS_H
#define EYUANGAMESDK_KTX_HEX_UTILS_H

#include <stdlib.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif

class HexUtils {
public:
    static char *HexEncode(const unsigned char *input, size_t len);

    static unsigned char *HexDecode(const char *hex);

private:
    static int Hex2Char(const char hex, char *out);
};


#ifdef __cplusplus
}
#endif

#endif //EYUANGAMESDK_KTX_HEX_UTILS_H
